DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# mSign

mathematical function

## SYNOPSIS

dip_float dipm_Sign ( x )

## FUNCTION

Computes the sign of the input value. The sign of zero is defined as zero.

## ARGUMENTS

Data type | Name | Description
`dip_float` | `x` | Input value

## SEE ALSO

`mTruncate`, `mFraction`, `mNearestInt`, `mExp2`, `mExp10`, `mLog2`, `mSinc`, `mReciprocal`, `mBesselJ0`, `mBesselJ1`, `mBesselJN`, `mBesselY0`, `mBesselY1`, `mBesselYN`, `mLnGamma`, `mErf`, `mErfc`, `mGammaP`, `mGammaQ`